Sign in to follow this  
slip-stream

Original purchase in 2004 FS9. Unable to install in to FSX. 737NG

Recommended Posts

Help AVSIM continue to serve you!
Please donate today!

The NGX product available for FSX is a completely new NGX built from scratch, so yes it must be purchased separately.

  • Upvote 2

Share this post


Link to post
Share on other sites

I have just installed the NGX (all working fine) and was wondering if I need to also install the SP1D patch?

Share this post


Link to post
Share on other sites

I have just installed the NGX (all working fine) and was wondering if I need to also install the SP1D patch?

 

All of our products that you download are current as of the time you downloaded. No need to attempt to patch them (and SP1D is actually delivered to those who need it by logging in and downloading the current version, which you did as part of purchasing and downloading).

  • Upvote 1

Share this post


Link to post
Share on other sites

Many thanks Kyle, that's good to know. Only reason I ask is that I'm starting the tutorial 1 and it's asking to select the 'house winglets' version which I do not have as an option. Any ideas?

Share this post


Link to post
Share on other sites

 

 


Any ideas?

 

Check the "Show All Variants" box in the aircraft selection screen of FSX (down near the OK and Cancel buttons, bottom right).

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this